Bug 89830 - Ambiguous naming of character background
Summary: Ambiguous naming of character background
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-04 21:04 UTC by Tamás Zolnai
Modified: 2016-10-25 19:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2015-03-04 21:04:36 UTC
Character background has two names in LibreOffice. On character dialog it is called "Background" (a tab page) on the toolbar (and sidebar) it is called "Highlighting".

These two names make harder to solve an old MSO compatibility issue:
https://bugs.documentfoundation.org/show_bug.cgi?id=64490

From a user point of view the name "character background" can be closer to MSO shading in meaning while "highlighting" can be closer to MSO highlighting. If LO would have only one name for character background, then it will be unambiguous to which MSO property to export it (by now RTF export saves it as MS highlighting, while DOC and DOCX filters export it to MSO shading) and it also would be clear our users which property can they expect when open an LO exported MSO document.
Comment 1 Tamás Zolnai 2015-03-08 23:28:38 UTC
Since the highlighting is more common the best would be to use highlighting on character dialog too (instead of background).
Comment 2 Adolfo Jayme 2015-03-08 23:53:08 UTC
(In reply to Zolnai Tamás from comment #1)
> Since the highlighting is more common the best would be to use highlighting
> on character dialog too (instead of background).

Agreed. That seems to be the most common use case for the feature as well (based on my experience only).
Comment 3 Commit Notification 2015-06-14 16:58:20 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3588a04f438b001cb64aa1fd86b28869f2c4e70b

tdf#89830: Ambiguous naming of character background

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-06-16 23:09:46 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94e9ad75943c39af548fc4b094c1e67df900e8a1&h=libreoffice-5-0

tdf#89830: Ambiguous naming of character background

It will be available in 5.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.